Bug 148862 - CVE-2005-0136 ptrace corner cases on ia64
Summary: CVE-2005-0136 ptrace corner cases on ia64
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050316,repo...
Keywords: Security
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-02-16 13:52 UTC by Mark J. Cox
Modified: 2013-03-06 05:58 UTC (History)
9 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:46:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mark J. Cox 2005-02-16 13:52:45 UTC
Read the description of this issue at 
http://www.gelato.unsw.edu.au/linux-ia64/0409/11073.html

A patch for 2.6 was committed:
http://lia64.bkbits.net:8080/linux-ia64-release-2.6.11/cset@41f2d1eePludGYyb1yOmGaW6Iois8Q

Impact looks like it is a unprivileged DoS at least, possibly more.

Currently embargoed, no date set.

Comment 3 Mark J. Cox 2005-03-16 10:42:26 UTC
public, removing embargo

Comment 9 Ernie Petrides 2005-06-01 00:37:41 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.6.EL).


Comment 10 Jason Baron 2005-06-02 20:39:20 UTC
*** Bug 157805 has been marked as a duplicate of this bug. ***

Comment 14 Ernie Petrides 2005-07-22 02:18:45 UTC
*** Bug 157805 has been marked as a duplicate of this bug. ***

Comment 17 Red Hat Bugzilla 2005-09-28 14:46:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.